# Changelog

## 2024-11-18 - 2.0.4 - fix(core)
Documentation and test coverage updates

- Comprehensive examples added to readme.md.
- Expanded test coverage for mime type detection.

## 2024-11-18 - 2.0.3 - fix(core)
Update dependencies and optimize type imports

- Updated devDependencies: '@git.zone/tsbuild', '@git.zone/tsrun', '@push.rocks/tapbundle', and '@types/node'.
- Updated dependencies: 'file-type' and 'mime'.
- Optimized import for IFileTypeResult type from plugins.fileType.

## 2024-05-29 - 2.0.2 - Documentation Update
Improvements in project documentation details.

- Updated project description for better clarity.

## 2024-05-21 - 2.0.0 to 2.0.1 - Core Updates and Fixes
Updates in core functionalities and maintenance fixes.

- Fixed issues within core components through multiple updates.
- Addressed breaking change in core functionality, necessitating updates across dependent modules.

## 2023-07-11 - 1.0.5 to 1.0.6 - Organizational and Configuration Changes
Switched to a new organizational scheme and updated configurations.

- Implemented switch to a new organizational scheme.
- Updated npmextra.json configuration for githost.
- Updated tsconfig to reflect changes in project setup.

## 2021-08-10 - 1.0.4 and 1.0.3 - Core Updates
Necessary modifications to core components.

- Applied fixes in core components spanning multiple versions.

## 2020-03-04 - 1.0.1 to 1.0.2 - Core Component Fixes
Initial fixes in core modules.

- Resolved initial bugs and issues present in core functionalities of the system.